Subject: Re: [PATCH] fix use after free in netlink_kernel_create()

From: Patrick McHardy <[email-masked]>
Date: Sun, 13 Aug 2006 13:52:58 +0200

Akinobu Mita wrote:
> This patch invalidates nl_table by setting NULL when netlink
> initialization failed. Otherwise netlink_kernel_create() would
> access nl_table which has already been freed.

Quite a few users of netlink_kernel_create will panic when creating
the socket fails (rtnetlink for example, which is always present),
so you might as well call panic here directly.